<html>
<head>
<title>Ogre::ProcessResourceNameScriptCompilerEvent Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1ProcessResourceNameScriptCompilerEvent.html">ProcessResourceNameScriptCompilerEvent</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="#pub-static-attribs">Static Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::ProcessResourceNameScriptCompilerEvent Class Reference<div class="ingroups"><a class="el" href="group__General.html">General</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::ProcessResourceNameScriptCompilerEvent" --><!-- doxytag: inherits="Ogre::ScriptCompilerEvent" -->
<p><code>#include &lt;<a class="el" href="OgreScriptCompiler_8h_source.html">OgreScriptCompiler.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::ProcessResourceNameScriptCompilerEvent:</div>
<div class="dyncontent">
<div class="center"><img src="classOgre_1_1ProcessResourceNameScriptCompilerEvent__inherit__graph.gif" border="0" usemap="#Ogre_1_1ProcessResourceNameScriptCompilerEvent_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1ProcessResourceNameScriptCompilerEvent_inherit__map" id="Ogre_1_1ProcessResourceNameScriptCompilerEvent_inherit__map">
<area shape="rect" id="node2" href="classOgre_1_1ScriptCompilerEvent.html" title="This struct is a base class for events which can be thrown by the compilers and caught by subscribers..." alt="" coords="75,5,253,35"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classOgre_1_1ProcessResourceNameScriptCompilerEvent-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ProcessResourceNameScriptCompilerEvent.html#afd04c7f48ef0823ba70812b83fde1acc">ResourceType</a> { <a class="el" href="classOgre_1_1ProcessResourceNameScriptCompilerEvent.html#afd04c7f48ef0823ba70812b83fde1acca89eafbeaac332dd99da1acf69bcd5e28">TEXTURE</a>, 
<a class="el" href="classOgre_1_1ProcessResourceNameScriptCompilerEvent.html#afd04c7f48ef0823ba70812b83fde1acca98aba562da4701af0723b20487e3e72e">MATERIAL</a>, 
<a class="el" href="classOgre_1_1ProcessResourceNameScriptCompilerEvent.html#afd04c7f48ef0823ba70812b83fde1accaaae64117ec8b4d891a58fbd343d50b0f">GPU_PROGRAM</a>, 
<a class="el" href="classOgre_1_1ProcessResourceNameScriptCompilerEvent.html#afd04c7f48ef0823ba70812b83fde1acca79d98608fb92fdd1ff492f56d86b2ba1">COMPOSITOR</a>
 }</td></tr>
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ProcessResourceNameScriptCompilerEvent.html#a93b2fb455dd0deec91a7f16a3a91c55e">ProcessResourceNameScriptCompilerEvent</a> (<a class="el" href="classOgre_1_1ProcessResourceNameScriptCompilerEvent.html#afd04c7f48ef0823ba70812b83fde1acc">ResourceType</a> resourceType, const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name)</td></tr>
<tr><td colspan="2"><h2><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1ProcessResourceNameScriptCompilerEvent.html#afd04c7f48ef0823ba70812b83fde1acc">ResourceType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ProcessResourceNameScriptCompilerEvent.html#ad65384a6b5c01e1ce69a4d452d45745f">mResourceType</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ProcessResourceNameScriptCompilerEvent.html#a9df601b04eff55b09762484c8eac6082">mName</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ScriptCompilerEvent.html#ae83d6b4f8c27207b09f2bae4e7c51ce6">mType</a></td></tr>
<tr><td colspan="2"><h2><a name="pub-static-attribs"></a>
Static Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ProcessResourceNameScriptCompilerEvent.html#a3c4bdfcd9e3758d5281dfe0ed7d8e5fc">eventType</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="OgreScriptCompiler_8h_source.html#l00475">475</a> of file <a class="el" href="OgreScriptCompiler_8h_source.html">OgreScriptCompiler.h</a>.</p>
</div><hr/><h2>Member Enumeration Documentation</h2>
<a class="anchor" id="afd04c7f48ef0823ba70812b83fde1acc"></a><!-- doxytag: member="Ogre::ProcessResourceNameScriptCompilerEvent::ResourceType" ref="afd04c7f48ef0823ba70812b83fde1acc" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="classOgre_1_1ProcessResourceNameScriptCompilerEvent.html#afd04c7f48ef0823ba70812b83fde1acc">Ogre::ProcessResourceNameScriptCompilerEvent::ResourceType</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl><dt><b>Enumerator: </b></dt><dd><table border="0" cellspacing="2" cellpadding="0">
<tr><td valign="top"><em><a class="anchor" id="afd04c7f48ef0823ba70812b83fde1acca89eafbeaac332dd99da1acf69bcd5e28"></a><!-- doxytag: member="TEXTURE" ref="afd04c7f48ef0823ba70812b83fde1acca89eafbeaac332dd99da1acf69bcd5e28" args="" -->TEXTURE</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="afd04c7f48ef0823ba70812b83fde1acca98aba562da4701af0723b20487e3e72e"></a><!-- doxytag: member="MATERIAL" ref="afd04c7f48ef0823ba70812b83fde1acca98aba562da4701af0723b20487e3e72e" args="" -->MATERIAL</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="afd04c7f48ef0823ba70812b83fde1accaaae64117ec8b4d891a58fbd343d50b0f"></a><!-- doxytag: member="GPU_PROGRAM" ref="afd04c7f48ef0823ba70812b83fde1accaaae64117ec8b4d891a58fbd343d50b0f" args="" -->GPU_PROGRAM</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="afd04c7f48ef0823ba70812b83fde1acca79d98608fb92fdd1ff492f56d86b2ba1"></a><!-- doxytag: member="COMPOSITOR" ref="afd04c7f48ef0823ba70812b83fde1acca79d98608fb92fdd1ff492f56d86b2ba1" args="" -->COMPOSITOR</em>&nbsp;</td><td>
</td></tr>
</table>
</dd>
</dl>

<p>Definition at line <a class="el" href="OgreScriptCompiler_8h_source.html#l00478">478</a> of file <a class="el" href="OgreScriptCompiler_8h_source.html">OgreScriptCompiler.h</a>.</p>

</div>
</div>
<hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a93b2fb455dd0deec91a7f16a3a91c55e"></a><!-- doxytag: member="Ogre::ProcessResourceNameScriptCompilerEvent::ProcessResourceNameScriptCompilerEvent" ref="a93b2fb455dd0deec91a7f16a3a91c55e" args="(ResourceType resourceType, const String &amp;name)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ProcessResourceNameScriptCompilerEvent.html#a93b2fb455dd0deec91a7f16a3a91c55e">Ogre::ProcessResourceNameScriptCompilerEvent::ProcessResourceNameScriptCompilerEvent</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1ProcessResourceNameScriptCompilerEvent.html#afd04c7f48ef0823ba70812b83fde1acc">ResourceType</a>&#160;</td>
          <td class="paramname"><em>resourceType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>name</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreScriptCompiler_8h_source.html#l00489">489</a> of file <a class="el" href="OgreScriptCompiler_8h_source.html">OgreScriptCompiler.h</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a3c4bdfcd9e3758d5281dfe0ed7d8e5fc"></a><!-- doxytag: member="Ogre::ProcessResourceNameScriptCompilerEvent::eventType" ref="a3c4bdfcd9e3758d5281dfe0ed7d8e5fc" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1ProcessResourceNameScriptCompilerEvent.html#a3c4bdfcd9e3758d5281dfe0ed7d8e5fc">Ogre::ProcessResourceNameScriptCompilerEvent::eventType</a><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreScriptCompiler_8h_source.html#l00487">487</a> of file <a class="el" href="OgreScriptCompiler_8h_source.html">OgreScriptCompiler.h</a>.</p>

</div>
</div>
<a class="anchor" id="a9df601b04eff55b09762484c8eac6082"></a><!-- doxytag: member="Ogre::ProcessResourceNameScriptCompilerEvent::mName" ref="a9df601b04eff55b09762484c8eac6082" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1ProcessResourceNameScriptCompilerEvent.html#a9df601b04eff55b09762484c8eac6082">Ogre::ProcessResourceNameScriptCompilerEvent::mName</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreScriptCompiler_8h_source.html#l00486">486</a> of file <a class="el" href="OgreScriptCompiler_8h_source.html">OgreScriptCompiler.h</a>.</p>

</div>
</div>
<a class="anchor" id="ad65384a6b5c01e1ce69a4d452d45745f"></a><!-- doxytag: member="Ogre::ProcessResourceNameScriptCompilerEvent::mResourceType" ref="ad65384a6b5c01e1ce69a4d452d45745f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ProcessResourceNameScriptCompilerEvent.html#afd04c7f48ef0823ba70812b83fde1acc">ResourceType</a> <a class="el" href="classOgre_1_1ProcessResourceNameScriptCompilerEvent.html#ad65384a6b5c01e1ce69a4d452d45745f">Ogre::ProcessResourceNameScriptCompilerEvent::mResourceType</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreScriptCompiler_8h_source.html#l00485">485</a> of file <a class="el" href="OgreScriptCompiler_8h_source.html">OgreScriptCompiler.h</a>.</p>

</div>
</div>
<a class="anchor" id="ae83d6b4f8c27207b09f2bae4e7c51ce6"></a><!-- doxytag: member="Ogre::ProcessResourceNameScriptCompilerEvent::mType" ref="ae83d6b4f8c27207b09f2bae4e7c51ce6" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1ScriptCompilerEvent.html#ae83d6b4f8c27207b09f2bae4e7c51ce6">Ogre::ScriptCompilerEvent::mType</a><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreScriptCompiler_8h_source.html#l00331">331</a> of file <a class="el" href="OgreScriptCompiler_8h_source.html">OgreScriptCompiler.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreScriptCompiler_8h_source.html">OgreScriptCompiler.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:06
</p>
</body>
</html>
